Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 84274 - PXE menu only allows 5 entries
Summary: PXE menu only allows 5 entries
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: pxe
Version: 7.1
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact: Brock Organ
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-02-13 21:16 UTC by Aaron McSorley
Modified: 2007-04-18 16:51 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-03-04 18:13:04 UTC


Attachments (Terms of Use)

Description Aaron McSorley 2003-02-13 21:16:36 UTC
Description of problem:

  There seems to be a limit of 5 on the number of entries I can have on
 the pxe boot menu, I need at least 7. Is there supposed to be a limit?
  
 It looks like this is in bstrapopts.cc ,but I'm not sure where.

 Or maybe, since I haven't found any documentation on the syntax of the menu
entries in the pxe.conf file, I've made a mistake.
 here is the menu part:

pxe.conf
---------------------------------------------

[PROC_ARCH]
0,X86PC

[Service_Types]
# Does anyone know what these numbers refer to?
0,BStrap
1,linux-install/redhat/2.1AS/i386
2,linux-install/redhat/8.0/i386
3,linux-install/suse/8.1pro/i386
4,linux-install/suse/8.1pro/x86-64
5,linux-install/mandrake/9.0pro/i386
6,linux-install/mandrake/9.0pow/i386

[X86PC/UNDI/MENU]
0,Local Boot
1,RedHat Advanced Server 2.1
2,RedHat 8.0 Auto Install
3,SuSE 8.1 Pro i386
4,SuSE 8.1 Pro x86-64
5,Mandrake 9.0 Pro
6,Mandrake 9.0 Pow

[X86PC/UNDI/BStrap/ImageFile_Name]
0
0
bstrap

[X86PC/UNDI/linux-install/redhat/2.1AS/i386/ImageFile_Name]
0
0
pxelinux

[X86PC/UNDI/linux-install/redhat/8.0/i386/ImageFile_Name]
0
0
pxelinux

[X86PC/UNDI/linux-install/suse/8.1pro/i386/ImageFile_Name]
0
0
pxelinux

[X86PC/UNDI/linux-install/suse/8.1pro/x86-64/ImageFile_Name]
0
0
pxelinux

[X86PC/UNDI/linux-install/mandrake/9.0pro/i386/ImageFile_Name]
0
0
pxelinux

[X86PC/UNDI/linux-install/mandrake/9.0pow/i386/ImageFile_Name]
0
0
pxelinux

----------------------------------------------


Version-Release number of selected component (if applicable):
pxe-0.1-31.99.7.3.src.rpm

Comment 1 Daniel Walsh 2003-03-04 18:13:04 UTC
We are currently looking into switching to use pxelinux which is supplied with the 
syslinux package.  You should look into using this.

http://syslinux.zytor.com/

Dan




Note You need to log in before you can comment on or make changes to this bug.